'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _sourceMapSupport2 = require('source-map-support');

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _wdioReporter = require('wdio-reporter');

var _wdioReporter2 = _interopRequireDefault(_wdioReporter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _sourceMapSupport2.install)();


/**
 * Initialize a new `Dot` matrix test reporter.
 */
class DotReporter extends _wdioReporter2.default {
  constructor(options) {
    /**
     * make dot reporter to write to output stream by default
     */
    options = Object.assign(options, { stdout: true });
    super(options);
  }

  /**
   * pending tests
   */
  onTestSkip() {
    this.write(_chalk2.default.cyanBright('.'));
  }

  /**
   * passing tests
   */
  onTestPass() {
    this.write(_chalk2.default.greenBright('.'));
  }

  /**
   * failing tests
   */
  onTestFail() {
    this.write(_chalk2.default.redBright('F'));
  }
}
exports.default = DotReporter;
module.exports = exports['default'];